mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
* [ptxdist] [PTXDIST] [PATCH] ptxd_install_resolve_usr_grp: skip empty params.
@ 2018-10-05  9:26 Andrej.Gantvorg
  2018-10-25 10:00 ` [ptxdist] " Andrej.Gantvorg
  0 siblings, 1 reply; 5+ messages in thread
From: Andrej.Gantvorg @ 2018-10-05  9:26 UTC (permalink / raw)
  To: ptxdist

Empty parameters may be passed i.e. when calling install_archive with
UID/GID set to '-'. According to documentation this should preserve the
owner/group stored in the archive. Without this patch, empty strings are
mapped to the first entry in /etc/{passwd,group} (usually 0) instead,
thus breaking the documented behaviour.

Signed-off-by: Andrej Gantvorg <andrej.gantvorg@wago.com>
---
  scripts/lib/ptxd_make_xpkg_pkg.sh | 4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/lib/ptxd_make_xpkg_pkg.sh 
b/scripts/lib/ptxd_make_xpkg_pkg.sh
index b3f2f20f3..0ec1c9b2a 100644
--- a/scripts/lib/ptxd_make_xpkg_pkg.sh
+++ b/scripts/lib/ptxd_make_xpkg_pkg.sh
@@ -79,12 +79,12 @@ export -f ptxd_install_getent_id
  # convert usr/grp that contain names into numeric values
  #
  ptxd_install_resolve_usr_grp() {
-    if ! [ 0 -le $usr ] 2>/dev/null; then
+    if ! [ 0 -le "$usr" ] 2>/dev/null && ! [ -z "$usr" ] ; then
     ptxd_install_getent_id usr || return
      else
     unset usr_name
      fi
-    if ! [ 0 -le $grp ] 2>/dev/null; then
+    if ! [ 0 -le "$grp" ] 2>/dev/null && ! [ -z "$grp" ] ; then
     ptxd_install_getent_id grp || return
      else
     unset grp_name
-- 
2.11.3
_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de

^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2018-10-26  9:43 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-10-05  9:26 [ptxdist] [PTXDIST] [PATCH] ptxd_install_resolve_usr_grp: skip empty params Andrej.Gantvorg
2018-10-25 10:00 ` [ptxdist] " Andrej.Gantvorg
2018-10-25 16:09   ` Michael Olbrich
2018-10-26  9:34     ` Andrej.Gantvorg
2018-10-26  9:43       ` Michael Olbrich

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox